Description: replace experimental 'given' with plain old if-elsif-else
 perl 5.18 warns about usage of 'given', causing failures of 'no warnings'
 tests
Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=724150
Author: Damyan Ivanov <dmn@debian.org>
Forwarded: no

--- a/lib/Padre/Wx/Dialog/PluginManager.pm
+++ b/lib/Padre/Wx/Dialog/PluginManager.pm
@@ -222,11 +222,11 @@
 			$position,
 		);
 
-		given ( $handle->status ) {
-			when ( $_ eq 'enabled' )      { $self->{list}->SetItemTextColour( $index, BLUE ); }
-			when ( $_ eq 'disabled' )     { $self->{list}->SetItemTextColour( $index, BLACK ); }
-			when ( $_ eq 'incompatible' ) { $self->{list}->SetItemTextColour( $index, DARK_GRAY ); }
-			when ( $_ eq 'error' )        { $self->{list}->SetItemTextColour( $index, RED ); }
+		for ( $handle->status ) {
+			if ( $_ eq 'enabled' )         { $self->{list}->SetItemTextColour( $index, BLUE ); }
+			elsif ( $_ eq 'disabled' )     { $self->{list}->SetItemTextColour( $index, BLACK ); }
+			elsif ( $_ eq 'incompatible' ) { $self->{list}->SetItemTextColour( $index, DARK_GRAY ); }
+			elsif ( $_ eq 'error' )        { $self->{list}->SetItemTextColour( $index, RED ); }
 		}
 
 		# $self->{list}->SetItem( $index,   0, $handle->plugin_name );
--- a/lib/Padre/Wx/Panel/Debugger.pm
+++ b/lib/Padre/Wx/Panel/Debugger.pm
@@ -904,18 +904,18 @@
 	my $black_size = keys %{ $self->{var_val} };
 	my $blue_size  = keys %{ $self->{local_values} };
 
-	given ($index) {
-		when ( $_ <= $black_size ) {
+	for ($index) {
+		if ( $_ <= $black_size ) {
 			$variable_value = $self->{var_val}->{$variable_name};
 			chomp $variable_value;
 			$main->{debugoutput}->debug_output_black( $variable_name . ' = ' . $variable_value );
 		}
-		when ( $_ <= ( $black_size + $blue_size ) ) {
+		elsif ( $_ <= ( $black_size + $blue_size ) ) {
 			$variable_value = $self->{local_values}->{$variable_name};
 			chomp $variable_value;
 			$main->{debugoutput}->debug_output_blue( $variable_name . ' = ' . $variable_value );
 		}
-		default {
+                else {
 			$variable_value = $self->{global_values}->{$variable_name};
 			chomp $variable_value;
 			$main->{debugoutput}->debug_output_dark_gray( $variable_name . ' = ' . $variable_value );
